%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-virtualenv-clone
Version:       0.5.7
Release:       2mamba
Summary:       Script to clone virtualenvs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/edwardgeorge/virtualenv-clone
Source:        https://pypi.debian.net/virtualenv-clone/virtualenv-clone-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n virtualenv-clone-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/virtualenv_clone-%{version}-py*.egg-info
%{python_sitearch}/virtualenv_clone-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 0.5.7-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Sep 08 2021 Automatic Build System <autodist@mambasoft.it> 0.5.7-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.6-1mamba
- package created using the webbuild interface
